<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <UserSecretsId>eb0da4a0-e9b5-417f-944d-d7a30dbd2cf5</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>TEAMModelOS.GRPC.xml</DocumentationFile>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="Protos\BlobSASService.proto" />
    <None Remove="Protos\ClassroomService.proto" />
    <None Remove="Protos\ClassroomStudentService.proto" />
    <None Remove="Protos\HomeWorkService.proto" />
    <None Remove="Protos\SyllabusService.proto" />
    <None Remove="Protos\VolumeService.proto" />
  </ItemGroup>
  <ItemGroup>
    <Protobuf Include="Protos\BlobSASService.proto" GrpcServices="Server" />
    <Protobuf Include="Protos\ClassroomService.proto" GrpcServices="Server" />
    <Protobuf Include="Protos\ClassroomStudentService.proto" GrpcServices="Server" />
    <Protobuf Include="Protos\greet.proto" GrpcServices="Server" />
    <Protobuf Include="Protos\CourseService.proto" GrpcServices="Server" />
    <Protobuf Include="Protos\HomeWorkService.proto" GrpcServices="Server" />
    <Protobuf Include="Protos\KnowledgeService.proto" GrpcServices="Server" />
    <Protobuf Include="Protos\SyllabusService.proto" GrpcServices="Server" />
    <Protobuf Include="Protos\VolumeService.proto" GrpcServices="Server" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Grpc.AspNetCore" Version="2.27.0" />
    <PackageReference Include="Grpc.HealthCheck" Version="2.28.1" />
    <PackageReference Include="Grpc.Tools" Version="2.27.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Http" Version="3.1.3" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.10.8" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\TEAMModelOS.SDK\TEAMModelOS.SDK.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="GrpcHealthCheck\" />
    <Folder Include="Models\" />
  </ItemGroup>
</Project>
